--- /home/icsrwi/proj/nagios-2.4-ORIG/base/broker.c	2005-12-23 12:31:35.000000000 -0700
+++ broker.c	2006-08-16 11:25:51.597024488 -0600
@@ -293,17 +293,18 @@
 
 
 /* send service check data to broker */
-void broker_service_check(int type, int flags, int attr, service *svc, int check_type, struct timeval start_time, struct timeval end_time, char *command, double latency, double exectime, int timeout, int early_timeout, int retcode, char *cmdline, struct timeval *timestamp){
+int broker_service_check(int type, int flags, int attr, service *svc, int check_type, struct timeval start_time, struct timeval end_time, char *command, double latency, double exectime, int timeout, int early_timeout, int retcode, char *cmdline, struct timeval *timestamp){
 	char *command_buf=NULL;
 	char *command_name=NULL;
 	char *command_args=NULL;
 	nebstruct_service_check_data ds;
+	int ret;
 
 	if(!(event_broker_options & BROKER_SERVICE_CHECKS))
-		return;
+		return NEB_OK;
 	
 	if(svc==NULL)
-		return;
+		return NEB_ERROR;
 
 	/* get command name/args */
 	if(command!=NULL){
@@ -339,12 +340,12 @@
 	ds.perf_data=svc->perf_data;
 
 	/* make callbacks */
-	neb_make_callbacks(NEBCALLBACK_SERVICE_CHECK_DATA,(void *)&ds);
+	ret = neb_make_callbacks(NEBCALLBACK_SERVICE_CHECK_DATA,(void *)&ds);
 
 	/* free data */
 	free(command_buf);
 
-	return;
+	return ret;
         }
 
 